Summary:	Alternate application launcher for Xfce
Name:		xfce4-whiskermenu-plugin
Version:	2.7.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/2.7/%{name}-%{version}.tar.bz2
# Source0-md5:	902eaa51d8f8251b319d257f90b16c5d
URL:		http://git.xfce.org/panel-plugins/xfce4-whiskermenu-plugin/
BuildRequires:	cmake
BuildRequires:	exo-devel >= 0.11.0
BuildRequires:	garcon-devel
BuildRequires:	glib2-devel >= 1:2.50.2
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libxfce4ui-devel >= 4.14.0
BuildRequires:	libxfce4util-devel >= 4.14.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.14.0
BuildRequires:	xfce4-panel-devel >= 4.14.0
BuildRequires:	xfconf-devel >= 4.14.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Whisker Menu is an alternate application launcher for Xfce. When you
open it you are shown a list of applications you have marked as
favorites. You can browse through all of your installed applications
by clicking on the category buttons on the side. Top level categories
make browsing fast, and simple to switch between. Additionally,
Whisker Menu keeps a list of the last ten applications that you've
launched from it.

%prep
%setup -q

%build
mkdir -p build
cd build
%{cmake} \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/xfce4-popup-whiskermenu
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.whiskermenu.*
%{_mandir}/man1/xfce4-popup-whiskermenu.1*
%changelog
* Tue Dec 21 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-whiskermenu-plugin.git;a=log;h=master

* Tue Dec 21 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 701afa7
- up to 2.7.1

* Thu Nov 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bd3ecb2
- up to 2.7.0

* Sun Nov 14 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a8dc54e
- up to 2.6.2

* Tue Nov 02 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> eb8a526
- up to 2.6.1

* Thu Mar 11 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4894e44
- up to 2.5.3

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> dcb76fb
- up to 2.5.0

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> f8c6467
- up tp version 2.4.4

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 0d08068
- up to 2.3.3

* Wed Apr 01 2015 Jan Rękorajski <baggins@pld-linux.org> c062ad7
- new

